enabled: true

telescope: SKA-low
system: SW-infrastructure
subsystem: ska-low-cbf

labels:
  app: ska-low-cbf

global:
  minikube: true
  tango_host: databaseds-tango-base-test:10000
  retry:
  - "--tries=10"
  - "--sleep=5"

livenessProbe:
  initialDelaySeconds: 0
  periodSeconds: 10
  timeoutSeconds: 3
  successThreshold: 1
  failureThreshold: 3
readinessProbe:
  initialDelaySeconds: 0
  periodSeconds: 10
  timeoutSeconds: 3
  successThreshold: 1
  failureThreshold: 3

dsconfig:
  timeout: 300s
  image:
      registry: artefact.skao.int
      image: ska-tango-images-tango-dsconfig
      tag: 1.5.5
      pullPolicy: IfNotPresent

image:
  registry: artefact.skao.int
  image: ska-low-cbf
  tag: ~ # defaults to chart's appVersion when empty
  pullPolicy: IfNotPresent


# settings common to all ska-low-cbf device servers
cbf:
  network:
    proxy: ""
  connector_db_host: "tango-databaseds.ska-low-cbf-conn"
  connector_db_port: 10000
  telmodel_source_uri: gitlab://gitlab.com/ska-telescope/ska-low-tmdata?main#tmdata

resources:
  limits:
    cpu: 300m
    memory: 500Mi
  requests:
    cpu: 100m
    memory: 128Mi

deviceServers:
  controller:
    instances: ["default"]
    file: "data/controller.yaml"

  subarray:
    instances: ["1", "2", "3", "4"] # Four subarray instances for AA0.5
    file: "data/subarray.yaml"

  allocator:
    instances: ["default"]
    file: "data/allocator.yaml"

  # delay polynomial source simulator, for Low CBF testing only.
  # Not deployed as part of Low CBF by default.
  delaypoly:
    # set this downstream to enable:
    # instances: ["emulator"]
    file: "data/delaypoly.yaml"

nodeSelector: {}

affinity: {}

tolerations: []
